Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.util
Class MulticastProbe

    java.lang.Object
      avrora.sim.util.TransactionalList
          avrora.sim.util.MulticastProbe

All Implemented Interfaces:
  Simulator.Probe

public class MulticastProbe
extends TransactionalList
implements Simulator.Probe

The `MulticastProbe` is a wrapper around multiple probes that allows them to act as a single probe. It is useful for composing multiple probes into one and is used internally in the simulator.

See Also:
  `Simulator`

Nested Class Summary

Nested classes inherited from class avrora.sim.util.TransactionalList
`TransactionalList.Link`

Nested classes inherited from class avrora.sim.Simulator.Probe
`Simulator.Probe.Empty`

Field Summary

Fields inherited from class avrora.sim.util.TransactionalList
`head, nesting, tail, transHead, transTail`

Constructor Summary
`MulticastProbe()`

Method Summary
`void` | `fireAfter(State state, int pc)` The `fireAfter()` method is called after the probed instruction executes.
`void` | `fireBefore(State state, int pc)` The `fireBefore()` method is called before the probed instruction executes.

Methods inherited from class avrora.sim.util.TransactionalList
`add, beginTransaction, endTransaction, isEmpty, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulticastProbe

    public MulticastProbe()

Method Detail

### fireBefore

    public void fireBefore(State state,
                           int pc)

  The `fireBefore()` method is called before the probed instruction executes. In the implementation of the multicast probe, it simply calls the `fireBefore()` method on each of the probes in the multicast set in the order in which they were inserted.

  Specified by:
    `fireBefore` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

### fireAfter

    public void fireAfter(State state,
                          int pc)

  The `fireAfter()` method is called after the probed instruction executes. In the implementation of the multicast probe, it simply calls the `fireAfter()` method on each of the probes in the multicast set in the order in which they were inserted.

  Specified by:
    `fireAfter` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD